Failed feature

 

Hi guys, I am writing a code to change the tolerance of dimension of solidedge oart file in vb.net. But while changing tolerance some of the feature may get fail. So how cal i get the failed feature from vb.net. We can get the suppressed feature by Issuppressed property of feature but what is method to know whether feature is failed or not. Can someone please help me with this??

 

Posted by: Chetan Sonawane
Post date: 7/29/2009 7:06:24 PM

1 REPLY

RE: Failed feature

Hi,

 

you have to use the Status property of the Feature object. See example below:

 

Dim Features As SolidEdgePart.Features = Doc.Models.Item(1).Features

 

For i As Integer = 1 To Features.Count

Dim Feature As Object = Features.Item(i)

Dim Status As SolidEdgePart.FeatureStatusConstants = Feature.Status

Dim Name As String

 

If Se.Version >= 16 Then

Name = Feature.DisplayName

Else

Name = Feature.Name

End If

 

Select Case Status

Case SolidEdgePart.FeatureStatusConstants.igFeatureFailed

Out.WriteLine(Res.GetText("Proof.Error") & ": " & _

Res.GetText("Proof.FeatureFailed") & ": " & _

Name, Indent + 1)

Case SolidEdgePart.FeatureStatusConstants.igFeatureSuppressed

Out.WriteLine(Res.GetText("Proof.Error") & ": " & _

Res.GetText("Proof.FeatureSuppressed") & ": " & _

Name, Indent + 1)

Case SolidEdgePart.FeatureStatusConstants.igFeatureWarned

Out.WriteLine(Res.GetText("Proof.Error") & ": " & _

Res.GetText("Proof.FeatureWarned") & ": " & _

Name, Indent + 1)

End Select

Next

 

 

Posted by: Wolfgang Kunert
Post date: 7/30/2009 12:09:10 AM